import * as AuthReducer from './auth.reducers';
import * as AuthActions from '../actions/auth.actions';

describe('auth reducer', () => {
	it('should return initial state', () => {
		const { initialAuthState } = AuthReducer;
		const action = {} as any;

		expect(AuthReducer.authReducer(undefined, action)).toEqual(initialAuthState);
	});

	it('should return signup error state', () => {
		const { initialAuthState } = AuthReducer;
		const payload = { message: 'error' };
		const action = new AuthActions.SignupError(payload);

		const state = AuthReducer.authReducer(initialAuthState, action);

		expect(state.error).toEqual({ message: 'error' });
	});
});